import { parseArgs } from "jsr:@std/cli/parse-args";
import {HTML, Save, Load, Root} from "./assemble_files.ts";

const args = parseArgs(Deno.args);
if(args.html)
{
    Save(HTML, "index.html");
}
else
{
    const config = await Load("deno.json");
    Save(config.replaceAll("./scripts/", Root+"scripts/").replaceAll("./dist/", Root+"dist/"), "deno.json");
    Save(await Load("app.js"), "app.js");
}
